from marshmallow import Schema, fields, post_load, validates, ValidationError
class DeviceTypeSchema(Schema):
    device_type_name = fields.String(required=True)
    measured_power = fields.Integer(required=True)
    logo = fields.String(required=False)
    logo_content_type = fields.String(required=False)
    @validates("device_type_name")
    def required_device_type_name(self, value):
        if not value:
            raise ValidationError("The Device Type Name field is required")
    @validates("measured_power")
    def required_measured_power(self, value):
        if not value:
            raise ValidationError("The Measured Power field is required")
    @post_load
    def make_user(self, data, **kwargs):
        return data
deviceTypes_schema = DeviceTypeSchema()
deviceTypes_schemas = DeviceTypeSchema(many=True)